libdrumstick-file1-1.1.2-26.10.x86_64.rpm


Advertisement

Description

libdrumstick-file1 - MIDI Sequencer C++ Library

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Extra all
Package filename libdrumstick-file1-1.1.2-26.10.x86_64.rpm
Package name libdrumstick-file1
Package version 1.1.2
Package release 26.10
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://drumstick.sourceforge.net/
License GPL-2.0-or-later AND GPL-3.0-or-later
Maintainer -
Download size 103.66 KB
Installed size 341.32 KB
MIDI Sequencer C++ Library Bindings for Qt5 and ALSA.
This library includes classes providing file input and output in formats
commonly used by MIDI programs. Currently, SMF (standard MIDI file)
read/write and WRK (Cakewalk) file read are supported. This library does not
depend on ALSA.

Alternatives

Package Version Architecture Repository
libdrumstick-file1-1.1.2-26.10.i586.rpm 1.1.2 i586 KDE Extra
libdrumstick-file1-1.1.2-1.2.x86_64.rpm 1.1.2 x86_64 openSUSE Oss
libdrumstick-file1-1.1.2-1.2.i586.rpm 1.1.2 i586 openSUSE Oss
libdrumstick-file1 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
libdrumstick-file.so.1()(64bit) -
libdrumstick-file1 = 1.1.2-26.10
libdrumstick-file1(x86-64) = 1.1.2-26.10

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libdrumstick-file1-1.1.2-26.10.x86_64.rpm
Source Package drumstick-1.1.2-26.10.src.rpm

Install Howto

  1. Add the KDE Extra repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Extra/openSUSE_Tumbleweed/ kde-extra
  2. Install libdrumstick-file1 rpm package:
    # zypper install libdrumstick-file1

Files

Path
/usr/lib64/libdrumstick-file.so.1
/usr/lib64/libdrumstick-file.so.1.1.2
/usr/share/licenses/libdrumstick-file1/COPYING
/usr/share/mime/packages/drumstick.xml

Changelog

2018-12-18 - wbauer@tmo.at
- Add Dont-use-QOverload.patch to make it build on Leap 42.3
2018-12-18 - wbauer@tmo.at
- Update to 1.1.2
* Fix for ticket #13 - some macOS input events lost
* Added some bundle metadata for macOS
* Solution for ticket #8: Path for plugins hardcoded
- Add pkgconfig(libpulse-simple) BuildRequires to enable building
of libdrumstick-rt-eassynth.so (boo#1119734)
- Move rt input/output plugins to a separate
libdrumstick-rt-plugins package that's required by
libdrumstick-rt1
2018-05-25 - christophe@krop.fr
- Update to 1.1.1
* fixed tab order on forms
* rt: fixed pitch bend events on several output backends
* removed ALSA/Linux dependency where possible.
* disabled fluidsynth output driver
- Split libdrumstick-rt from the main package.
2017-12-18 - christophe@krop.fr
- Update to 1.1.0
* guiplayer accepts a single file argument in the command line:
mid, kar, wrk and ove
* documentation updated
Check the installed ChangeLog file for the complete changelog.
- Drop gcc6-fix.patch. Merged upstream.
2016-06-17 - jengelh@inai.de
- Drop archaic sections, set rpm groups
2016-06-17 - wbauer@tmo.at
- The devel package requires libQt5Core-devel now, not libqt4-devel
2016-06-17 - wbauer@tmo.at
- Add gcc6-fix.patch to fix build with gcc6
2016-06-15 - wbauer@tmo.at
- Use shared-mime-database macros (boo#979301)
2016-04-12 - tittiatcoke@gmail.com
- Update to version 1.0.2
* Qt5 port.
- Drop x11.diff. No longer required.
2011-11-13 - alinm.elena@gmail.com
- fixed x11 failure to link in 12.1 added x11.diff patch
- moved to cmake_kde4 macro

See Also

Package Description
libdrumstick-rt-plugins-1.1.2-26.10.i586.rpm MIDI Sequencer C++ Library
libdrumstick-rt-plugins-1.1.2-26.10.x86_64.rpm MIDI Sequencer C++ Library
libdrumstick-rt1-1.1.2-26.10.i586.rpm MIDI Sequencer C++ Library
libdrumstick-rt1-1.1.2-26.10.x86_64.rpm MIDI Sequencer C++ Library
libepub-devel-0.2.2-7.1.i586.rpm Header files for libepub library
libepub-devel-0.2.2-7.1.x86_64.rpm Header files for libepub library
libepub0-0.2.2-7.1.i586.rpm A library for reading ebook files
libepub0-0.2.2-7.1.x86_64.rpm A library for reading ebook files
libepub0-32bit-0.2.2-7.1.x86_64.rpm A library for reading ebook files
libf95getdata7-0.10.0-25.34.i586.rpm Fortran95 library for reading and writing dirfile data
libf95getdata7-0.10.0-25.34.x86_64.rpm Fortran95 library for reading and writing dirfile data
libfgetdata6-0.10.0-25.34.i586.rpm Fortran library for reading and writing dirfile data
libfgetdata6-0.10.0-25.34.x86_64.rpm Fortran library for reading and writing dirfile data
libgetdata++7-0.10.0-25.34.i586.rpm C++ library for reading and writing dirfile data
libgetdata++7-0.10.0-25.34.x86_64.rpm C++ library for reading and writing dirfile data
Advertisement
Advertisement